package com.ssj.bean.sys.game.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 小程序游戏测试记录
 * @author Mount Liu
 * @date 2018/2/19
 */
@Entity
@Table(name = "tb_game_question")
public class GameQuestion extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 第几关卡
     */
    private int level;
    /**
     * 题目
     */
    private String title;
    /**
     * 题目图片
     */
    private String picture;
    /**
     * 文字内容
     */
    private String content;
    /**
     * 类型(1:第一类题，2：第二类题（找两幅图的不同），3：第三类题，4：第四类题，5：第五类题（文字找不同）)
     */
    private int type;
    /**
     * 答案id（选择题）
     */
    private String answerId;
    /**
     * 答案（非选择题）：1、第二类题找不同，答案为坐标轴，格式为x,y示例:60,100;2、第五类题找到文字地方，答案为文字内容
     */
    private String answer;
    /**
     * 题目编号
     */
    private int number;
    /**
     * 创建时间
     */
    private Date createTime;

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Column(updatable=false)
    public Date getCreateTime() {
        return createTime;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getPicture() {
        return picture;
    }

    public void setPicture(String picture) {
        this.picture = picture;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getAnswerId() {
        return answerId;
    }

    public void setAnswerId(String answerId) {
        this.answerId = answerId;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public int getNumber() {
        return number;
    }

    public void setNumber(int number) {
        this.number = number;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
